org.jfree.data.xy

## Class YIntervalSeriesCollection

- java.lang.Object
- - org.jfree.data.general.AbstractDataset
  - - org.jfree.data.general.AbstractSeriesDataset
    - - org.jfree.data.xy.AbstractXYDataset
      - - org.jfree.data.xy.AbstractIntervalXYDataset
        - - org.jfree.data.xy.YIntervalSeriesCollection

All Implemented Interfaces:
  java.io.ObjectInputValidation, java.io.Serializable, java.lang.Cloneable, java.util.EventListener, Dataset, SeriesChangeListener, SeriesDataset, IntervalXYDataset, XYDataset, org.jfree.util.PublicCloneable

    public class YIntervalSeriesCollection
    extends AbstractIntervalXYDataset
    implements IntervalXYDataset, org.jfree.util.PublicCloneable, java.io.Serializable

A collection of `YIntervalSeries` objects.

Since:
  1.0.3
See Also:
  `YIntervalSeries`, Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`YIntervalSeriesCollection()` Creates a new instance of `YIntervalSeriesCollection`.

### Method Summary

Methods
`void` `addSeries(YIntervalSeries series)` Adds a series to the collection and sends a `DatasetChangeEvent` to all registered listeners.
`java.lang.Object` `clone()` Returns a clone of this instance.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
`java.lang.Number` `getEndX(int series, int item)` Returns the end x-value for an item within a series.
`java.lang.Number` `getEndY(int series, int item)` Returns the end y-value for an item within a series.
`double` `getEndYValue(int series, int item)` Returns the end y-value (as a double primitive) for an item within a series.
`int` `getItemCount(int series)` Returns the number of items in the specified series.
`YIntervalSeries` `getSeries(int series)` Returns a series from the collection.
`int` `getSeriesCount()` Returns the number of series in the collection.
`java.lang.Comparable` `getSeriesKey(int series)` Returns the key for a series.
`java.lang.Number` `getStartX(int series, int item)` Returns the start x-value for an item within a series.
`java.lang.Number` `getStartY(int series, int item)` Returns the start y-value for an item within a series.
`double` `getStartYValue(int series, int item)` Returns the start y-value (as a double primitive) for an item within a series.
`java.lang.Number` `getX(int series, int item)` Returns the x-value for an item within a series.
`java.lang.Number` `getY(int series, int item)` Returns the y-value for an item within a series.
`double` `getYValue(int series, int item)` Returns the y-value (as a double primitive) for an item within a series.
`void` `removeAllSeries()` Removes all the series from the collection and sends a `DatasetChangeEvent` to all registered listeners.
`void` `removeSeries(int series)` Removes a series from the collection and sends a `DatasetChangeEvent` to all registered listeners.
`void` `removeSeries(YIntervalSeries series)` Removes a series from the collection and sends a `DatasetChangeEvent` to all registered listeners.

### Methods inherited from class org.jfree.data.xy.AbstractIntervalXYDataset

`getEndXValue, getStartXValue`

### Methods inherited from class org.jfree.data.xy.AbstractXYDataset

`getDomainOrder, getXValue`

### Methods inherited from class org.jfree.data.general.AbstractSeriesDataset

`indexOf, seriesChanged`

### Methods inherited from class org.jfree.data.general.AbstractDataset

`addChangeListener, fireDatasetChanged, getGroup, hasListener, notifyListeners, removeChangeListener, setGroup, validateObject`

### Methods inherited from class java.lang.Object

`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jfree.data.xy.IntervalXYDataset

`getEndXValue, getStartXValue`

### Methods inherited from interface org.jfree.data.xy.XYDataset

`getDomainOrder, getXValue`

### Methods inherited from interface org.jfree.data.general.SeriesDataset

`indexOf`

### Methods inherited from interface org.jfree.data.general.Dataset

`addChangeListener, getGroup, removeChangeListener, setGroup`

### Constructor Detail

#### YIntervalSeriesCollection

    public YIntervalSeriesCollection()

Creates a new instance of `YIntervalSeriesCollection`.

### Method Detail

#### addSeries

    public void addSeries(YIntervalSeries series)

Adds a series to the collection and sends a `DatasetChangeEvent` to all registered listeners.

Parameters:
  `series` - the series (`null` not permitted).

#### getSeriesCount

    public int getSeriesCount()

Returns the number of series in the collection.

Specified by:
  `getSeriesCount` in interface `SeriesDataset`
Specified by:
  `getSeriesCount` in class `AbstractSeriesDataset`
Returns:
  The series count.

#### getSeries

    public YIntervalSeries getSeries(int series)

Returns a series from the collection.

Parameters:
  `series` - the series index (zero-based).
Returns:
  The series.
Throws:
  `java.lang.IllegalArgumentException` - if `series` is not in the range `0` to `getSeriesCount() - 1`.

#### getSeriesKey

    public java.lang.Comparable getSeriesKey(int series)

Returns the key for a series.

Specified by:
  `getSeriesKey` in interface `SeriesDataset`
Specified by:
  `getSeriesKey` in class `AbstractSeriesDataset`
Parameters:
  `series` - the series index (in the range `0` to `getSeriesCount() - 1`).
Returns:
  The key for a series.
Throws:
  `java.lang.IllegalArgumentException` - if `series` is not in the specified range.

#### getItemCount

    public int getItemCount(int series)

Returns the number of items in the specified series.

Specified by:
  `getItemCount` in interface `XYDataset`
Parameters:
  `series` - the series (zero-based index).
Returns:
  The item count.
Throws:
  `java.lang.IllegalArgumentException` - if `series` is not in the range `0` to `getSeriesCount() - 1`.

#### getX

    public java.lang.Number getX(int series,
                        int item)

Returns the x-value for an item within a series.

Specified by:
  `getX` in interface `XYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The x-value.

#### getYValue

    public double getYValue(int series,
                   int item)

Returns the y-value (as a double primitive) for an item within a series.

Specified by:
  `getYValue` in interface `XYDataset`
Overrides:
  `getYValue` in class `AbstractXYDataset`
Parameters:
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  The value.

#### getStartYValue

    public double getStartYValue(int series,
                        int item)

Returns the start y-value (as a double primitive) for an item within a series.

Specified by:
  `getStartYValue` in interface `IntervalXYDataset`
Overrides:
  `getStartYValue` in class `AbstractIntervalXYDataset`
Parameters:
  `series` - the series index (zero-based).
  `item` - the item index (zero-based).
Returns:
  The value.
See Also:
  `IntervalXYDataset.getStartY(int, int)`

#### getEndYValue

    public double getEndYValue(int series,
                      int item)

Returns the end y-value (as a double primitive) for an item within a series.

Specified by:
  `getEndYValue` in interface `IntervalXYDataset`
Overrides:
  `getEndYValue` in class `AbstractIntervalXYDataset`
Parameters:
  `series` - the series (zero-based index).
  `item` - the item (zero-based index).
Returns:
  The value.
See Also:
  `IntervalXYDataset.getEndY(int, int)`

#### getY

    public java.lang.Number getY(int series,
                        int item)

Returns the y-value for an item within a series.

Specified by:
  `getY` in interface `XYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The y-value.

#### getStartX

    public java.lang.Number getStartX(int series,
                             int item)

Returns the start x-value for an item within a series. This method maps directly to `getX(int, int)`.

Specified by:
  `getStartX` in interface `IntervalXYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The x-value.

#### getEndX

    public java.lang.Number getEndX(int series,
                           int item)

Returns the end x-value for an item within a series. This method maps directly to `getX(int, int)`.

Specified by:
  `getEndX` in interface `IntervalXYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The x-value.

#### getStartY

    public java.lang.Number getStartY(int series,
                             int item)

Returns the start y-value for an item within a series.

Specified by:
  `getStartY` in interface `IntervalXYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The start y-value.

#### getEndY

    public java.lang.Number getEndY(int series,
                           int item)

Returns the end y-value for an item within a series.

Specified by:
  `getEndY` in interface `IntervalXYDataset`
Parameters:
  `series` - the series index.
  `item` - the item index.
Returns:
  The end y-value.

#### removeSeries

    public void removeSeries(int series)

Removes a series from the collection and sends a `DatasetChangeEvent` to all registered listeners.

Parameters:
  `series` - the series index (zero-based).
Since:
  1.0.10

#### removeSeries

    public void removeSeries(YIntervalSeries series)

Removes a series from the collection and sends a `DatasetChangeEvent` to all registered listeners.

Parameters:
  `series` - the series (`null` not permitted).
Since:
  1.0.10

#### removeAllSeries

    public void removeAllSeries()

Removes all the series from the collection and sends a `DatasetChangeEvent` to all registered listeners.

Since:
  1.0.10

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Returns a clone of this instance.

Specified by:
  `clone` in interface `org.jfree.util.PublicCloneable`
Overrides:
  `clone` in class `AbstractDataset`
Returns:
  A clone.
Throws:
  `java.lang.CloneNotSupportedException` - if there is a problem.